This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.179. __nv_hypotf

Prototype:

    float @__nv_hypotf(float %x, float %y)

Description:

Calculate the length of the hypotenuse of a right triangle whose two sides have lengths `x` and `y` without undue overflow or underflow.

Returns:

Returns the length of the hypotenuse x 2 + y 2 . If the correct value would overflow, returns + ∞ . If the correct value would underflow, returns 0. If one of the input arguments is 0, returns the other argument

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes